Ext.Widget.Notes = function(posX, posY, id, wpWidth, wpHeight) {

      var wHeight = ( wpHeight ) ? wpHeight : 130;
      var wWidth = ( wpWidth ) ? wpWidth : 132;

      var mod = this.QoDesk.getModule('qo-widgets');


      function removeTextOnClose(id) {
        Ext.Ajax.request({
                url: mod.app.connection,
                params: {
                        moduleId: mod.moduleId,
                        fileName: 'widgets/notes/php/removeTextOnClose.php',
                        widgetID: id
                }
        });
      } //removeTextOnClose

      function saveText(note, id) {
        Ext.Ajax.request({
                url: mod.app.connection,
                params: {
                        moduleId: mod.moduleId,
                        fileName: 'widgets/notes/php/setText.php',
                        widgetID: id,
                        note: note
                }
        });
      } //saveText

        Ext.Ajax.request({
                url: mod.app.connection,
                params: {
                        moduleId: mod.moduleId,
                        fileName: 'widgets/notes/php/loadText.php',
                        widgetID: id
                },success: function(o){
                    if(o && o.responseText && Ext.decode(o.responseText).success){
                            var r = Ext.decode(o.responseText);
                            Ext.get(id+'-note').dom.innerHTML = r.note;
                    }
                }
        });


      var winEditor = new Ext.Window({
            title:'Edit your note',
            layout      : 'fit',
            width       : 520,
            height      : 300,
            closeAction :'hide',
            modal: true,
            plain       : true,
            items       : new Ext.FormPanel({
                border         : false,
                items:{
                    xtype:'htmleditor',
                    id:id+'-editor',
                    hideLabel: true,
                    listeners:{
                      render: function(cmp) {
                        var val;

                        if( Ext.get(id+'-note').dom.firstChild ) val = Ext.get(id+'-note').dom.innerHTML;
                        else val = '';
                        cmp.setValue(val);

                      }
                    }
                }
            }),

            buttons: [{
                text     : 'Ok',
                handler: function() {
                  Ext.get(id+'-note').dom.innerHTML = Ext.getCmp(id+'-editor').getRawValue();
                  saveText(Ext.getCmp(id+'-editor').getRawValue(), id);
                    winEditor.hide();
                }
            }]
        });

    var widget = new Ext.ux.Widget({
      scope: this,
      autoHeight: false,
      width: wWidth,
      height: wHeight,
      id:id,
      launcher: 'Notes',
      resizable: true,
      goToX: posX,
      goToY: posY,
      html: '<div id="'+id+'-note" class="qo-widgets-note"></div>',
      listeners: {
        close: function(p) {
          removeTextOnClose(p.id);
        }
      }

    });

    Ext.get(id).on('click', function() {

      winEditor.show();

    }, this);

}
